> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post

> Get a public Facebook post or reel by url.

## Parameters

<ParamField query="url" type="string" required>
  The URL of the post to get (e.g., `https://www.facebook.com/reel/1535656380759655`)
</ParamField>

<ParamField query="get_comments" type="boolean">
  Whether you want to get the first several comments of the post (e.g., `false`)
</ParamField>

<ParamField query="get_transcript" type="boolean">
  Whether you want to get the transcript of the post (e.g., `false`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/facebook/post?url=https://www.facebook.com/reel/1535656380759655" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "post_id": "...",
    "like_count": 2095,
    "comment_count": 48,
    "share_count": 133,
    "view_count": 133000,
    "description": "...",
    "video_url": "..."
  },
  "meta": {
    "platform": "facebook",
    "endpoint": "post",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
